[**brk-client**](../README.md)

***

[brk-client](../globals.md) / Thenable

# Type Alias: Thenable\<T\>

> **Thenable**\<`T`\> = (`onfulfilled?`, `onrejected?`) => `Promise`\<[`SeriesData`](SeriesData.md)\<`T`\>\>

Defined in: [Developer/brk/modules/brk-client/index.js:1506](https://github.com/bitcoinresearchkit/brk/blob/76869ed2b6aad1e1c3da7aff4c90e9b5788fb606/modules/brk-client/index.js#L1506)

## Type Parameters

### T

`T`

## Parameters

### onfulfilled?

(`value`) => `any`

### onrejected?

(`reason`) => `never`

## Returns

`Promise`\<[`SeriesData`](SeriesData.md)\<`T`\>\>
